%global pypi_name mdit-py-plugins

Summary:       Collection of plugins for markdown-it-py
Name:          python-%{pypi_name}
Version:       0.3.0
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/executablebooks/mdit-py-plugins
Source0:       %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python3-devel pyproject-rpm-macros python3dist(pytest)
BuildArch:     noarch

%description
Collection of core plugins for markdown-it-py.

%package -n     python3-%{pypi_name}
Summary:        Collection of plugins for markdown-it-py

%description -n python3-%{pypi_name}
Collection of core plugins for markdown-it-py.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdit_py_plugins

%check
%pytest -k "not test_plugin_parse and not test_no_new_line_issue and not test_tokens"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 0.3.0-1
- initial build
